# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOCommitInfo

Packages that use CDOCommitInfo
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.commit.handler
Some useful commit info handler implementations.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.security
Server integration of the `Security` model.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui.compare
Classes that help to open EMF Compare user interfaces on CDO models.
org.eclipse.emf.cdo.ui.widgets
A library with reusable widgets.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.common.commit

Subinterfaces of CDOCommitInfo in org.eclipse.emf.cdo.common.commit
Modifier and Type
Interface
Description
`static interface`
`CDOCommitHistory.TriggerLoadElement`
A virtual `history` element that can be returned from `IContainer.getElements()` if `CDOCommitHistory.isAppendingTriggerLoadElement()` is `true` to indicate that the history is not `fully` loaded, yet.
Methods in org.eclipse.emf.cdo.common.commit that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOCommitInfoManager.`getBaseOfBranch(CDOBranch branch)`
`CDOCommitInfo`
CDOCommitInfoManager.`getCommitInfo(long timeStamp)`
`CDOCommitInfo`
CDOCommitInfoManager.`getCommitInfo(long timeStamp, boolean loadOnDemand)`
`CDOCommitInfo`
CDOCommitInfoManager.`getCommitInfo(CDOBranch branch, long startTime, boolean up)`
`CDOCommitInfo`
CDOCommitHistory.`getElement(int index)`
`CDOCommitInfo`
CDOCommitHistory.`getFirstElement()`
`CDOCommitInfo`
CDOCommitInfoManager.`getFirstOfBranch(CDOBranch branch)`
`CDOCommitInfo`
CDOCommitHistory.`getLastElement()`
`CDOCommitInfo`
CDOCommitInfoManager.`getLastOfBranch(CDOBranch branch)`
`CDOCommitInfo`
CDOCommitInfo.`getMergedCommitInfo()`
`CDOCommitInfo`
CDOCommitInfo.`getPreviousCommitInfo()`
Methods in org.eclipse.emf.cdo.common.commit with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
CDOCommitInfoHandler.`handleCommitInfo(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.common.commit.handler

Methods in org.eclipse.emf.cdo.common.commit.handler with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
AsyncCommitInfoHandler.`handleCommitInfo(CDOCommitInfo commitInfo)`
`void`
BinaryCommitInfoLog.`handleCommitInfo(CDOCommitInfo commitInfo)`
`void`
TextCommitInfoLog.`handleCommitInfo(CDOCommitInfo commitInfo)`
`protected void`
AsyncCommitInfoHandler.`work(org.eclipse.net4j.util.concurrent.Worker.WorkContext context, CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOProtocol.CommitNotificationInfo.`getCommitInfo()`
`CDOCommitInfo`
CDODataInput.`readCDOCommitInfo()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitNotificationInfo.`setCommitInfo(CDOCommitInfo commitInfo)`
`void`
CDODataOutput.`writeCDOCommitInfo(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
IStoreAccessor.CommitContext.`createCommitInfo()`
Methods in org.eclipse.emf.cdo.server with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`protected void`
CDOServerExporter.Binary.`exportCommit(CDODataOutput out, CDOCommitInfo commitInfo)`
`protected abstract void`
CDOServerExporter.`exportCommit(OUT out, CDOCommitInfo commitInfo)`
`protected void`
CDOServerExporter.XML.`exportCommit(org.eclipse.net4j.util.io.XMLOutput out, CDOCommitInfo commitInfo)`
`protected void`
CDOServerBrowser.HistoryPage.`showCommitData(PrintStream out, CDOCommitInfo commitInfo, CDOServerBrowser browser)`
`protected boolean`
CDOServerBrowser.HistoryPage.`showCommitInfo(PrintStream out, CDOCommitInfo commitInfo, CDOServerBrowser browser, String param, boolean auditing)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.server.security

Methods in org.eclipse.emf.cdo.server.security that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
ISecurityManager.`modifyWithInfo(ISecurityManager.RealmOperation operation, boolean waitUntilReadable)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.session

Subinterfaces of CDOCommitInfo in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDOSessionInvalidationEvent`
A `session event` fired when passive updates (commit notifications) are being received from a remote repository.

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
InternalCDOCommitInfoManager.`createCommitInfo(CDOBranch branch, long timeStamp, long previousTimeStamp, String userID, String comment, CDOBranchPoint mergeSource, CDOCommitData commitData)`
`CDOCommitInfo`
InternalCDOCommitInfoManager.`createCommitInfo(CDOBranch branch, long timeStamp, long previousTimeStamp, String userID, String comment, CDOCommitData commitData)`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
InternalCDOCommitInfoManager.`notifyCommitInfoHandlers(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDODataInputImpl.`readCDOCommitInfo()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOCommitInfo(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
InternalRepository.`sendCommitNotification(InternalSession sender, CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `InternalRepository.sendCommitNotification(InternalSession, CDOCommitInfo, boolean)`.
`void`
InternalRepository.`sendCommitNotification(InternalSession sender, CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalRepository.sendCommitNotification(ISessionProtocol.CommitNotificationInfo)`.
`void`
InternalSession.`sendCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `InternalSession.sendCommitNotification(CDOCommitInfo, boolean)`.
`void`
InternalSession.`sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalSession.sendCommitNotification(CommitNotificationInfo)`.
`void`
InternalSessionManager.`sendCommitNotification(InternalSession sender, CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `InternalSessionManager.sendCommitNotification(InternalSession, CDOCommitInfo, boolean)`.
`void`
InternalSessionManager.`sendCommitNotification(InternalSession sender, CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalSessionManager.sendCommitNotification(ISessionProtocol.CommitNotificationInfo)`.
`void`
ISessionProtocol.`sendCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `ISessionProtocol.sendCommitNotification(CDOCommitInfo, boolean)`.
`void`
ISessionProtocol.`sendCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `ISessionProtocol.sendCommitNotification(CommitNotificationInfo)`.

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOPushTransaction.`commit()`
`CDOCommitInfo`
CDOPushTransaction.`commit(Runnable runnable, int attempts, IProgressMonitor monitor)`
`CDOCommitInfo`
CDOPushTransaction.`commit(Runnable runnable, Predicate<Long> retry, IProgressMonitor monitor)`
`CDOCommitInfo`
CDOPushTransaction.`commit(Runnable runnable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
`CDOCommitInfo`
CDOPushTransaction.`commit(IProgressMonitor monitor)`
`CDOCommitInfo`
CDOTransaction.`commit(Runnable runnable, int attempts, IProgressMonitor monitor)`
`CDOCommitInfo`
CDOTransaction.`commit(Runnable runnable, Predicate<Long> retry, IProgressMonitor monitor)`
`CDOCommitInfo`
CDOTransaction.`commit(Runnable runnable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
As of 4.9 use `CDOTransaction.commit(Runnable, java.util.function.Predicate, IProgressMonitor)`.
`CDOCommitInfo`
CDOUserTransaction.`commit()`
Same as `commit(null)`.
`CDOCommitInfo`
CDOUserTransaction.`commit(IProgressMonitor monitor)`
Commits the modifications of this transaction to the repository and returns a `commit info` object if successful.
`CDOCommitInfo`
CDOPushTransaction.`commitAndClose(IProgressMonitor monitor, boolean keepOpenAfterCommitProblem)`
`CDOCommitInfo`
CDOTransaction.`commitAndClose(IProgressMonitor monitor, boolean keepOpenAfterCommitProblem)`
`CDOCommitInfo`
CDOTransaction.CommitResult.`getInfo()`
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
CDODefaultTransactionHandler3.`committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext, CDOCommitInfo result)`
This implementation does nothing.
`void`
CDOTransactionHandler3.`committedTransaction(CDOTransaction transaction, CDOCommitContext commitContext, CDOCommitInfo result)`
Called by a `CDOTransaction` after it is being committed.
Constructors in org.eclipse.emf.cdo.transaction with parameters of type CDOCommitInfo
Modifier
Constructor
Description
``
`CommitResult(T result, CDOCommitInfo info)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.ui.compare

Methods in org.eclipse.emf.cdo.ui.compare that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOCompareEditorUtil.Input.`getCommitInfo()`
Methods in org.eclipse.emf.cdo.ui.compare with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOCommitInfo commitInfo)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOCommitInfo leftCommitInfo, CDOBranchPoint rightPoint)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOCommitInfo commitInfo, boolean activate)`
`static boolean`
CDOCompareEditorUtil.`openEditor(CDOCommitInfo leftCommitInfo, CDOBranchPoint rightPoint, boolean activate)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.ui.widgets

Methods in org.eclipse.emf.cdo.ui.widgets with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`protected void`
CommitHistoryComposite.`commitInfoChanged(CDOCommitInfo newCommitInfo)`
`protected void`
CommitHistoryComposite.`doubleClicked(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`default void`
CDOViewCommitInfoListener.`handleCommitInfo(CDOCommitInfo commitInfo)`
`void`
CDOViewCommitInfoListener.`notifyCommitInfo(CDOCommitInfo commitInfo)`

## Uses of CDOCommitInfo in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOWorkspace.`checkin()`
`CDOCommitInfo`
CDOWorkspace.`checkin(String comment)`

## Uses of CDOCommitInfo in org.eclipse.emf.spi.cdo

Subinterfaces of CDOCommitInfo in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSessionInvalidationEvent`
A `session invalidation event` with `security impact information`.
Methods in org.eclipse.emf.spi.cdo that return CDOCommitInfo
Modifier and Type
Method
Description
`CDOCommitInfo`
CDOTransactionStrategy.`commit(InternalCDOTransaction transaction, IProgressMonitor progressMonitor)`
TODO Better use an `OMMonitor`?
`CDOCommitInfo`
InternalCDOSession.InvalidationData.`getCommitInfo()`
`CDOCommitInfo`
CDOSessionProtocol.`resetTransaction(int transactionID, int commitNumber)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommitInfo
Modifier and Type
Method
Description
`void`
InternalCDOSession.`handleCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `InternalCDOSession.handleCommitNotification(CDOCommitInfo, boolean)`.
`void`
InternalCDOSession.`handleCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalCDOSession.handleCommitNotification(CommitNotificationInfo)`.
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender)`
Deprecated.
As of 4.2 use `InternalCDOSession.invalidate(CDOCommitInfo, InternalCDOTransaction, boolean)`.
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalCDOSession.invalidate(CDOCommitInfo, InternalCDOTransaction, boolean, byte, Map)`.
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)`
Deprecated.
As of 4.6 use `InternalCDOSession.invalidate(InvalidationData)`.
`void`
InternalCDOSession.InvalidationData.`setCommitInfo(CDOCommitInfo commitInfo)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater2.`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)`
`Map<CDORevision,CDOPermission>`
CDOPermissionUpdater3.`updatePermissions(InternalCDOSession session, Map<CDOBranchPoint,Set<InternalCDORevision>> revisions, CDOCommitInfo commitInfo)`